> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs-beta.getzep.com/v4/sdk-reference/agent/skills/publications/get/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-beta.getzep.com/_mcp/server. # Get automatic Skill publication lineage GET https://api.getzep.com/api/v4/agents/{agent_uuid}/skills/{skill_uuid}/publication Get the publication that created a destination Skill. Use its source version and policy identity to verify a copied Skill. The endpoint returns 404 for unpublished and invalidated Skills. Reference: https://docs-beta.getzep.com/sdk-reference/agent/skills/publications/get ## Authentication - `Authorization` header (required) (prefixed with ` Api-Key `) — Type "Api-Key" followed by a space and the project API key. ## Request ### Path parameters - `agent_uuid` (string, required) — Destination Agent UUID - `skill_uuid` (string, required) — Destination Skill UUID ## Response ### 200 OK - `destination_agent_uuid` (string, optional) — The destination Agent UUID. - `destination_skill_uuid` (string, optional) — The destination Skill UUID. - `destination_version_uuid` (string, optional) — The destination version UUID. - `policy_revision` (integer, optional) — The policy revision that allowed automatic publication. - `policy_uuid` (string, optional) — The policy UUID that allowed automatic publication. - `publication_uuid` (string, optional) — The publication UUID. - `source_agent_uuid` (string, optional) — The source Agent UUID. - `source_skill_uuid` (string, optional) — The source Skill UUID. - `source_version` (integer, optional) — The source version number. - `source_version_uuid` (string, optional) — The source version UUID. ## Errors ### 400 Bad Request Error Bad Request - `error` (v4.ErrorBody, optional) ### 401 Unauthorized Error Unauthorized - `error` (v4.ErrorBody, optional) ### 403 Forbidden Error Forbidden - `error` (v4.ErrorBody, optional) ### 404 Not Found Error Not Found - `error` (v4.ErrorBody, optional) ### 503 Service Unavailable Error Service Unavailable - `error` (v4.ErrorBody, optional) ## Types ### v4.ErrorBody - `code` (string, optional) - `details` (map from string to any, optional) - `message` (string, optional) - `param` (string, optional) - `request_id` (string, optional) ## Examples **Response** ```json { "destination_agent_uuid": "6418724b-91e8-4a5c-a163-9bc5754b9024", "destination_skill_uuid": "501e9e4a-3284-4ff1-bc1d-75817a2bfa41", "destination_version_uuid": "46783cc1-6fd0-4796-af31-3d2bb8c01bd4", "policy_revision": 1, "policy_uuid": "f0e12b7f-bbd3-46a2-b6c4-bae19c66f5b4", "publication_uuid": "172da742-fbe1-4fda-9024-45ba352920ae", "source_agent_uuid": "b3142507-eb9c-4ac8-ade4-eb62fb9c4455", "source_skill_uuid": "89f0c349-1334-43d4-a6b7-211171418eb1", "source_version": 1, "source_version_uuid": "ca174422-90f9-4e5c-ad64-c3ff20272234" } ```